QXmpp: QXmppRtpVideoChannel Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Slots | Signals | Public Member Functions | Friends | List of all members
QXmppRtpVideoChannel Class Reference

The QXmppRtpVideoChannel class represents an RTP video channel to a remote party. More...

`#include <QXmppRtpChannel.h>`

Inheritance diagram for QXmppRtpVideoChannel:

## Public Slots
void | datagramReceived (const QByteArray &ba)

## Signals
void | sendDatagram (const QByteArray &ba)
| This signal is emitted when a datagram needs to be sent.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions
| QXmppRtpVideoChannel (QObject *parent=0)
| Constructs a new RTP video channel with the given parent.
void | close ()
| Closes the RTP video channel.
QIODevice::OpenMode | openMode () const
| Returns the mode in which the channel has been opened.
QXmppVideoFormat | decoderFormat () const
| Returns the video format used by the encoder.
QList< QXmppVideoFrame > | readFrames ()
| Decodes buffered RTP packets and returns a list of video frames.
QXmppVideoFormat | encoderFormat () const
| Returns the video format used by the encoder.
void | setEncoderFormat (const QXmppVideoFormat &format)
| Sets the video format used by the encoder.
void | writeFrame (const QXmppVideoFrame &frame)
| Encodes a video frame and sends RTP packets.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)
Public Member Functions inherited from QXmppRtpChannel
| QXmppRtpChannel ()
| Creates a new RTP channel.
virtual void | close ()=0
| Closes the RTP channel.
virtual QIODevice::OpenMode | openMode () const =0
| Returns the mode in which the channel has been opened.
QList< QXmppJinglePayloadType > | localPayloadTypes ()
void | setRemotePayloadTypes (const QList< QXmppJinglePayloadType > &remotePayloadTypes)

## Friends
class | QXmppRtpVideoChannelPrivate

## Additional Inherited Members
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppRtpVideoChannel class represents an RTP video channel to a remote party.

Note
  THIS API IS NOT FINALIZED YET

## Member Function Documentation

void QXmppRtpVideoChannel::datagramReceived | ( | const QByteArray & | ba | ) |
| slot

Processes an incoming RTP video packet.

Parameters

  ba |

The documentation for this class was generated from the following files:

- QXmppRtpChannel.h
- QXmppRtpChannel.cpp